package com.ruoyi.common.enums;

import lombok.Getter;

/**
 * API错误信息
 */
@Getter
public enum ServiceResponseEnum
{
    NO_USER("用户不存在", 500),
    NO_USER_LEADER("主管未设置", 500),
    UPDATE_ACCEPT_MY("不可更改为自己", 500),

    NO_AUTH_OPERATION("无权限操作", 500),
    PARAM_EXCEPTION("参数异常", 500),

    MINIPROGRAM_AUTHORIZE_ERR("微信授权失败", 500),
    MINIPROGRAM_AUTHORIZE_PHONE_ERR("授权手机号失败", 500),

    DICT_TYPE_NULL("未查询到字典信息", 500),
    DICT_TYPE_STOP_USE("字典已停用", 500),

    SMS_CODE_PHONE_NULL("手机号不能为空", 500),
    SMS_CODE_SEND_SUCCESS("发送成功", 500),
    SMS_CODE_SEND_FAIL("发送失败", 500),
    SMS_CODE_SEND_CHECK_FAIL("验证码错误", 500),
    SMS_CODE_SEND_CHECK_EXPIRE("验证码已过期", 500),

    CAPTCHA_EXPIRE("验证码失效", 500),
    CAPTCHA_ERROR("验证码错误", 500),
    CAPTCHA_GENERATION_FAILED("验证码生成异常", 500),

    USER_EMAIL_NOT_REGISTER("邮箱未注册", 500),
    USER_LOGIN_FAIL("账号或密码错误", 500),
    USER_FREEZE("此账号被禁用", 500),
    USER_NOT_ACTIVATED("此账号未激活,请前往邮箱激活", 500),
    USER_EMAIL_ALREADY_REGISTER("邮箱已被注册", 500),

    RESOURCE_APPLY_CANNOT_EDIT_WITH_UID("无编辑权限",500),
    RESOURCE_APPLY_CANNOT_EDIT_WITH_STATUS("当前状态不可编辑",500),
    RESOURCE_APPLY_NOT_FIND("申请信息不存在",500),
    RESOURCE_APPLY_NOT_RIGHTS("无权编辑",500),
    RESOURCE_APPLY_CANNOT_CHECK_WITH_STATUS("当前状态不可确认",500),
    RESOURCE_APPLY_CANNOT_UPLOAD_WITH_STATUS("当前状态不可上传盖章材料",500),
    RESOURCE_APPLY_CANNOT_MANAGER_CHECK_WITH_STATUS("当前状态不可审核",500),
    RESOURCE_APPLY_CANNOT_APPROVAL_WITH_STATUS("当前状态不可分配",500),
    REFUSE_REASON_IS_NULL("拒绝原因不能为空",500),

    ORDER_APPLY_NOT_FIND("工单信息不存在",500),

    Achievement_Info_Details_NOT_FIND("科研成果信息不存在",500),

    APPROVAL_NODE_CONFIG_NOT_FOUND("审核节点配置信息不存在", 500),
    APPROVAL_NODE_INFO_NOT_FOUND("审核节点发起信息不存在", 500),
    APPROVAL_RESOURCE_APPLY_STATUS_ERROR("当前资源申请状态不可审核",500),
    APPROVAL_NODE_USER_NOT_RIGHTS("无权审核该节点", 500),

    APPROVAL_NODE_RECORD_NOT_FOUND("审核节点记录信息不存在", 500),
    APPROVAL_NODE_NOT_LAST_NODE("审核节点不是最后节点", 500),
    RESOURCE_APPLY_CANNOT_CLOSE_WITH_STATUS("申请单当前状态不可关闭", 500),




    UPLOAD_FILE_NOT_NULL("上传文件不能为空", 500),
    UPLOAD_FILE_FAILED("文件上传失败", 500),


    APPROVAL_ADD_LIST_IS_NULL("审核列表不能为空", 500),

    ;


    /** 消息 */
    private final String msg;

    /** 错误码 */
    private final Integer code;

    ServiceResponseEnum(String msg, Integer code)
    {
        this.msg = msg;
        this.code = code;
    }

}
